For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • POSTCreate a new webhook subscription
      • GETGet Webhooks
      • DELDelete an existing webhook subscription
    • OpenAPI spec
LogoLogo
API ReferenceWebhooks

Create a new webhook subscription

||View as Markdown|
POST
/1.0/webhook
POST
/1.0/webhook
$curl -X POST https://api.shipbob.com/1.0/webhook \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "subscription_url": "https://mywebsite.com/shipbob/handler",
> "topic": "order_shipped"
>}'
1{
2 "created_at": "2019-08-24T14:15:22Z",
3 "id": 12345,
4 "subscription_url": "http://example.com",
5 "topic": "order_shipped"
6}
Was this page helpful?
Previous

Get One Return's status history

Next

Get Webhooks

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Headers

shipbob_channel_idstringOptionalformat: "int32"

Request

This endpoint expects an object.
subscription_urlstringRequiredformat: "uri"

URL we will call when an event matching the subscription topic is raised. Must have ssl enabled (https) and accept POST requests with content type of application/json

topicenumRequired
Allowed values:

Response

Success
created_atdatetime
Timestamp the webhook subscription was created
idinteger
ID of the webhook subscription
subscription_urlstring or nullformat: "uri"
URL subscription events will be posted to
topicenum
Allowed values:

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
422
Unprocessable Entity Error